package com.th.demo.service.impl.ware;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.th.demo.mapping.ware.SplitRecordMapper;
import com.th.demo.model.system.Type;
import com.th.demo.model.ware.SplitRecord;
import com.th.demo.model.ware.TotalRecord;
import com.th.demo.service.ware.SplitRecordService;
import com.th.demo.tools.JSONTools;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("SplitRecordService")
public class SplitRecordServiceImpl implements SplitRecordService {
    @Autowired
    public SplitRecordMapper splitRecordMapper;
    String result = Type.FAIL;
    int num = 0;
    @Override
    public String query(int page, int rows, String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, Date fromDate, Date toDate, String userId, String belongId) {
        PageHelper.startPage(page, rows);
        List<SplitRecord> list=splitRecordMapper.select(  wareName,   stackName,model,materialName, standard, customerName,
                  plateNo,fromDate,toDate,   userId,    belongId);
        PageInfo<SplitRecord> pageInfo = new PageInfo<>(list);
        result = JSONTools.toStringyyyyMMddHHmmss(pageInfo);
        return result;
    }

    @Override
    public String queryTotal(int page, int rows, String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, Date fromDate, Date toDate, String userId, String belongId) {
        List<TotalRecord> list=splitRecordMapper.selectTotal(  wareName,   stackName,model,materialName, standard, customerName,
                plateNo, fromDate,toDate,  userId,    belongId);
        result = JSONTools.toStringyyyyMMddHHmmss(list);
        return result;
    }
}
